/* ********************************************************************************
   * ENG_I2C.H: Header for ENG_I2C.OBJ						  *
   *										  *
   * Date: 19.04.2005								  *
   * (C) Innovative Electronics, http://www.innovativeelectronics.com		  *
   ******************************************************************************** */

// -- Send a START-Condition --
void i2c_sendstart(void);

// -- Send a STOP-Condition --
void i2c_sendstop(void);

// -- Send 8 Bits (one byte) to the I2C-Bus --
void i2c_sendbyte(uchar data);

// -- Receive an ACK from the slave (to flag the receiving of a byte) --
// return 0: OK, else 255 (noack)
uchar i2c_receiveack(void);

// -- Receive 8 Bits (one byte) from the I2C-Bus --
// return : data
uchar i2c_receivebyte(void);

// -- Send an ACK to the slave to flag, that the slave shall send further bytes
void i2c_sendack(void);

// -- Send no ACK to the slave. after that a STOP condition must be sent
void i2c_sendnoack(void);

// -- Send a byte to the I2C-Bus, then receive ACK --
// return 0: OK (ack received), else: 255 (noack received)
uchar i2c_setbyte(uchar wert);

// -- Get a byte from the I2C-Bus, then send Ack --
// return : data
uchar i2c_getbytew(void);

// -- Same as above, but send Noack --
// return : data
uchar i2c_getbytee(void);

// -- Complete function to send 1 byte --
// return 0: OK (ack received), else: 255 (noack received)
uchar set_i2c_byte(uchar addr, uchar data);

// -- Same as above to get 1 byte --
// return : data
uchar get_i2c_byte(uchar adr);

// *** EOF ***